﻿#requires -version 3.0

#demo open files and sessions

#$cimsession should be the previously created session to 
#CHI-FP02

help Get-SmbSession -ShowWindow

Get-SmbSession -CimSession $cimsession

Get-SmbSession -CimSession $cimsession | 
Select Client*,NumOpens

<#
open some files on the server as a variety of users
runas /user:globomantics\jfrost powershell "cmd /k"
#>

help Get-SmbOpenFile

Get-SmbOpenFile -CimSession $cimsession 

#organized by computer
Get-SmbOpenFile -CimSession $cimsession | 
Sort ClientComputername |
format-table -group ClientComputername -Property Path,ClientUsername

#organized by user
Get-SmbOpenFile -CimSession $cimsession | 
Sort ClientUserName |
format-table -group ClientUsername -Property Path,ClientComputername

#kill open files
help Close-SmbOpenFile -ShowWindow

Get-SmbOpenFile -cimsession $cimsession -ClientUserName "globomantics\jfrost" |
Close-SmbOpenFile

<#
there is also Close-SMBSession which works much the same way

get-smbsession -ClientUserName globomantics\jfrost -CimSession $cimsession |
Close-SmbSession

#>
